--- title: "getPublicIpInstanceList" slug: "compute-vserver-publicip-getpublicipinstancelist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-publicip-getpublicipinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getPublicIpInstanceList Available in VPC Get the list of public IP instances. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getPublicIpInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `publicIpInstanceNoList.N` | Array | Optional | Public IP instance number list - Filter by the public IP instance number. - See [getPublicIpInstanceList](/docs/en/compute-vserver-publicip-getpublicipinstancelist). - Example: `publicIpInstanceNoList.1=1234&publicIpInstanceNoList.2=2345` | | `publicIp` | String | Optional | Filter by the public IP address. | | `privateIp` | String | Optional | Filter by the eth0 private IP address of server instance to which the public IP instance is assigned. | | `isAssociated` | Boolean | Optional | Filter by the server assignment status. - `true` \| `false` - `true`: assigned - `false`: unassigned | | `serverName` | String | Optional | Filter by the assigned server name. | | `publicIpInstanceStatusCode` | String | Optional | Filter by the public IP instance status code. - `INIT` \| `SET` \| `RUN` \| `TERMTING` - `INIT`: creating - `SET`: setting - `RUN`: running - `TERMTING`: deleting | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `vpcNo` | String | Optional | VPC number - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getPublicIpInstanceList ?regionCode=KR &publicIpInstanceStatusCode=RUN &pageNo=1 &pageSize=5 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getPublicIpInstanceListResponse` | Object | - | Response result - See [PublicIpInstanceList](/docs/en/common-vapidatatype-publicipinstancelist). | | `getPublicIpInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getPublicIpInstanceListResponse.returnCode` | String | - | Response code | | `getPublicIpInstanceListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getPublicIpInstanceListResponse": { "totalRows": 1, "publicIpInstanceList": [ { "publicIpInstanceNo": "10*****54", "publicIp": "101.*.*.67", "publicIpDescription": "test IP", "createDate": "2025-06-20T10:31:23+0900", "publicIpInstanceStatusName": "Running", "publicIpInstanceStatus": { "code": "RUN", "codeName": "In operation" }, "serverInstanceNo": "", "serverName": "", "privateIp": "", "publicIpInstanceOperation": { "code": "NULL", "codeName": "NULL OP" } } ], "requestId": "75f48775-****-****-****-6f8e3d525a17", "returnCode": "0", "returnMessage": "success" } } ```